using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class StorageList :ImportBase
    {
        [ExcelColumn("序号*")]
        [EmptyValidate("请填写序号")]
        public int id { get; set; }
        [ExcelColumn("类别名称*")]
        [EmptyValidate("请填写类别名称")]
        public string typename { get; set; }
        [ExcelColumn("仓库名称*")]
        [EmptyValidate("请填写仓库名称")]
        public string name { get; set; }
        [ExcelColumn("仓库编号*")]
        [EmptyValidate("请填写仓库编号")]
        public string serial_number { get; set; }
        [ExcelColumn("仓库地址*")]
        [EmptyValidate("请填写仓库地址")]
        public string address { get; set; }
        [ExcelColumn("仓库管理人*")]
        [EmptyValidate("请填仓库管理人")]
        public string manager { get; set; }
        [ExcelColumn("电话*")]
        [EmptyValidate("请填写电话")]
        public string phone { get; set; }
        [ExcelColumn("手机*")]
        [EmptyValidate("请填写手机")]
        public string mobile { get; set; }
        [ExcelColumn("是否停用")]
        public string status { get; set; }
        [ExcelColumn("备注")]
        public string description { get; set; }
    }
}
